# Reference overview

All paths use this base shape:

```
{PERCEPTIS_API_BASE_URL}/api/v1/...
```

Set `PERCEPTIS_API_BASE_URL` to the API origin only, for example `https://app.perceptis.ai`.

| Page                                                         | Endpoint                               |
| ------------------------------------------------------------ | -------------------------------------- |
| [POST /api/v1/generate](/api-reference/post-generate.md)     | Start a generation job                 |
| [GET /api/v1/status/{job\_id}](/api-reference/get-status.md) | Poll job status and downloads          |
| [Key management](/api-reference/keys.md)                     | Create, store, rotate, and revoke keys |

For examples that make full requests, see the [single-slide quickstart](/perceptis-api-v1/quickstart-single-slide.md), [complete-deck quickstart](/perceptis-api-v1/quickstart-deck.md), and [example script](/perceptis-api-v1/examples.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.perceptis.ai/api-reference/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
